Debian Bug report logs - #635272
ufsutils: mkfs.ufs should zero-out first and last 32 MiB

version graph

Package: ufsutils; Maintainer for ufsutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for ufsutils is src:ufsutils.

Reported by: Jérémy Bobbio <lunar@debian.org>

Date: Sat, 23 Jul 2011 23:00:01 UTC

Severity: wishlist

Fixed in version ufsutils/8.2-3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sat, 23 Jul 2011 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 23 Jul 2011 23:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 00:57:23 +0200
[Message part 1 (text/plain, inline)]
Package: grub-pc
Version: 1.99-8
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi!

I have not been able to upgrade a minimial kfreebsd-i386 system from
squeeze to sid is due to `update-grub` being unable to complete. Tracing
the problem have shown that `grub-probe` actually detects the root UFS
filesystem as ZFS :

  $ df -h /boot
  Filesystem            Size  Used Avail Use% Mounted on
  /dev/ad0s1            738M  429M  250M  64% /

  $ mount | grep ' on / '
  /dev/ad0s1 on / (ufs, local)

  $ sudo grub-probe --device /dev/ad0s1 --target=fs
  zfs

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 01:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 635224@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Jérémy Bobbio <lunar@debian.org>, 635224@bugs.debian.org
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 02:56:19 +0200
[Message part 1 (text/plain, inline)]
On 24.07.2011 00:57, Jérémy Bobbio wrote:
> Package: grub-pc
> Version: 1.99-8
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
>
> Hi!
>
> I have not been able to upgrade a minimial kfreebsd-i386 system from
> squeeze to sid is due to `update-grub` being unable to complete. Tracing
> the problem have shown that `grub-probe` actually detects the root UFS
> filesystem as ZFS :
That means that you have enough of ZFS still alive on that partition for
GRUB to be able to read it.
>   $ df -h /boot
>   Filesystem            Size  Used Avail Use% Mounted on
>   /dev/ad0s1            738M  429M  250M  64% /
>
>   $ mount | grep ' on / '
>   /dev/ad0s1 on / (ufs, local)
>
>   $ sudo grub-probe --device /dev/ad0s1 --target=fs
>   zfs
>
> Cheers,
>
>
> _______________________________________________
> Pkg-grub-devel mailing list
> Pkg-grub-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grub-devel


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 10:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 635224@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: 635224@bugs.debian.org
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 12:31:00 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 24, 2011 at 02:56:19AM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
> > I have not been able to upgrade a minimial kfreebsd-i386 system from
> > squeeze to sid is due to `update-grub` being unable to complete. Tracing
> > the problem have shown that `grub-probe` actually detects the root UFS
> > filesystem as ZFS :
> That means that you have enough of ZFS still alive on that partition for
> GRUB to be able to read it.

Indeed. After trashing the partition fully, it detects UFS fine.

This is still a bug though, as would be pretty hard to zero the hard
drive of an already installed production system.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 10:39:07 GMT) Full text and rfc822 format available.

Message #20 received at 635224@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Jérémy Bobbio <lunar@debian.org>
Cc: 635224@bugs.debian.org
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 12:37:39 +0200
[Message part 1 (text/plain, inline)]
On 24.07.2011 12:31, Jérémy Bobbio wrote:
> On Sun, Jul 24, 2011 at 02:56:19AM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>>> I have not been able to upgrade a minimial kfreebsd-i386 system from
>>> squeeze to sid is due to `update-grub` being unable to complete. Tracing
>>> the problem have shown that `grub-probe` actually detects the root UFS
>>> filesystem as ZFS :
>> That means that you have enough of ZFS still alive on that partition for
>> GRUB to be able to read it.
> Indeed. After trashing the partition fully, it detects UFS fine.
>
> This is still a bug though, as would be pretty hard to zero the hard
> drive of an already installed production system.
>
It's not possible to distinguish whether ZFS or UFS a leftover. They may
both contain enough metadata to even access some files.

-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 10:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 10:48:25 GMT) Full text and rfc822 format available.

Message #25 received at 635224@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: 635224@bugs.debian.org
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 12:45:46 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 24, 2011 at 12:37:39PM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
> > This is still a bug though, as would be pretty hard to zero the hard
> > drive of an already installed production system.
> >
> It's not possible to distinguish whether ZFS or UFS a leftover. They may
> both contain enough metadata to even access some files.

If there is no other ways, then `update-grub` needs to check out what is
the filesystem used for `/boot` and use that. Otherwise this is likely
to break some system upgrades from Squeeze to Wheezy.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 10:57:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 10:57:47 GMT) Full text and rfc822 format available.

Message #30 received at 635224@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: 635224@bugs.debian.org, Jérémy Bobbio <lunar@debian.org>
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 12:53:46 +0200
[Message part 1 (text/plain, inline)]
On 24.07.2011 12:45, Jérémy Bobbio wrote:
> On Sun, Jul 24, 2011 at 12:37:39PM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>>> This is still a bug though, as would be pretty hard to zero the hard
>>> drive of an already installed production system.
>>>
>> It's not possible to distinguish whether ZFS or UFS a leftover. They may
>> both contain enough metadata to even access some files.
> If there is no other ways, then `update-grub` needs to check out what is
> the filesystem used for `/boot` and use that.
Which is subject to exactly the same problem.
>  Otherwise this is likely
> to break some system upgrades from Squeeze to Wheezy.
>
> Cheers,


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 15:03:03 GMT) Full text and rfc822 format available.

Message #35 received at 635224@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: 635224@bugs.debian.org
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 17:01:02 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jul 24, 2011 at 12:53:46PM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
> >> It's not possible to distinguish whether ZFS or UFS a leftover. They may
> >> both contain enough metadata to even access some files.
> > If there is no other ways, then `update-grub` needs to check out what is
> > the filesystem used for `/boot` and use that.
>
> Which is subject to exactly the same problem.

Would you have anything else to suggest that could be done to enable
system upgrades to go through the end when encountering such situation?

Debian is known to offer an easy upgrade procedure. Even if Debian
GNU/kFreeBSD for Squeeze was only released as a "technology preview",
those system should not be a PITA to upgrade to Wheezy when it'll be
out.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #40 received at 635224@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Jérémy Bobbio <lunar@debian.org>, 635224@bugs.debian.org
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 17:18:45 +0200
[Message part 1 (text/plain, inline)]
On 24.07.2011 17:01, Jérémy Bobbio wrote:
> On Sun, Jul 24, 2011 at 12:53:46PM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
>>>> It's not possible to distinguish whether ZFS or UFS a leftover. They may
>>>> both contain enough metadata to even access some files.
>>> If there is no other ways, then `update-grub` needs to check out what is
>>> the filesystem used for `/boot` and use that.
>> Which is subject to exactly the same problem.
> Would you have anything else to suggest that could be done to enable
> system upgrades to go through the end when encountering such situation?
>
The problem is deeper than just GRUB. Once such situation arises you
need human intervention to find out which filesystem is a real one and
destroy the other one. Not performing such act and just mounting and
writing to filesystem will after some time destroy the other one. The
culprit in any case is the choice to make. It's better to prevent such
situation from arising in the first place by modifying the mkfs tools to
zero-out first and last 32 mebibytes.
> Debian is known to offer an easy upgrade procedure. Even if Debian
> GNU/kFreeBSD for Squeeze was only released as a "technology preview",
> those system should not be a PITA to upgrade to Wheezy when it'll be
> out.

> Cheers,


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#635224; Package grub-pc. (Sun, 24 Jul 2011 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 24 Jul 2011 15:39:03 GMT) Full text and rfc822 format available.

Message #45 received at 635224@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
Cc: 635224@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#635224: grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS
Date: Sun, 24 Jul 2011 17:36:05 +0200
[Message part 1 (text/plain, inline)]
clone 635224 -1 -2
reassign -1 ufsutils
retitle -1 ufsutils: mkfs.ufs should zero-out first and last 32 MiB
severity -1 wishlist
reassign -2 zfsutils
retitle -2 zfsutils: mkfs.zfs should zero-out first and last 32 MiB
severity -2 wishlist
thanks

On Sun, Jul 24, 2011 at 05:18:45PM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
> On 24.07.2011 17:01, Jérémy Bobbio wrote:
> > On Sun, Jul 24, 2011 at 12:53:46PM +0200, Vladimir 'φ-coder/phcoder' Serbinenko wrote:
> >>>> It's not possible to distinguish whether ZFS or UFS a leftover. They may
> >>>> both contain enough metadata to even access some files.
> >>> If there is no other ways, then `update-grub` needs to check out what is
> >>> the filesystem used for `/boot` and use that.
> >> Which is subject to exactly the same problem.
> > Would you have anything else to suggest that could be done to enable
> > system upgrades to go through the end when encountering such situation?
> >
> The problem is deeper than just GRUB. Once such situation arises you
> need human intervention to find out which filesystem is a real one and
> destroy the other one. Not performing such act and just mounting and
> writing to filesystem will after some time destroy the other one. The
> culprit in any case is the choice to make. It's better to prevent such
> situation from arising in the first place by modifying the mkfs tools to
> zero-out first and last 32 mebibytes.

I just cloned this bug to both ufsutils and zfsutils. But unfortunately,
I have to insist:

> > Debian is known to offer an easy upgrade procedure. Even if Debian
> > GNU/kFreeBSD for Squeeze was only released as a "technology preview",
> > those system should not be a PITA to upgrade to Wheezy when it'll be
> > out.

What I have actually done was:

 1. Install Debian GNU/kFreeBSD using a daily build of d-i, and
    installing the system on ZFS.
 2. Re-install on the same hard disk the Squeeze version using
    UFS.
 3. Upgrade that last system to Debian unstable.

I can't imagine why doing so should result in upgrade failing. If the
system I am currently upgrading is running on top of UFS, I can't
see a valid rationale of why, in case of doubt, we could not tell
`update-grub` that it should use UFS to boot.

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Bug 635224 cloned as bugs 635272, 635273. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 24 Jul 2011 15:39:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'grub-pc' to 'ufsutils'. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 24 Jul 2011 15:39:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions grub2/1.99-8. Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 24 Jul 2011 15:39:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ufsutils: mkfs.ufs should zero-out first and last 32 MiB' from 'grub-pc: `grub-probe --target=fs` detects UFS filesystem as ZFS' Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 24 Jul 2011 15:39:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'important' Request was from Jérémy Bobbio <lunar@debian.org> to control@bugs.debian.org. (Sun, 24 Jul 2011 15:39:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 27 Nov 2011 17:12:05 GMT) Full text and rfc822 format available.

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Sun, 27 Nov 2011 18:09:08 GMT) Full text and rfc822 format available.

Notification sent to Jérémy Bobbio <lunar@debian.org>:
Bug acknowledged by developer. (Sun, 27 Nov 2011 18:09:08 GMT) Full text and rfc822 format available.

Message #62 received at 635272-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 635272-close@bugs.debian.org
Subject: Bug#635272: fixed in ufsutils 8.2-3
Date: Sun, 27 Nov 2011 18:07:20 +0000
Source: ufsutils
Source-Version: 8.2-3

We believe that the bug you reported is fixed in the latest version of
ufsutils, which is due to be installed in the Debian FTP archive:

ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
  to main/u/ufsutils/ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
ufsutils_8.2-3.debian.tar.gz
  to main/u/ufsutils/ufsutils_8.2-3.debian.tar.gz
ufsutils_8.2-3.dsc
  to main/u/ufsutils/ufsutils_8.2-3.dsc
ufsutils_8.2-3_kfreebsd-amd64.deb
  to main/u/ufsutils/ufsutils_8.2-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635272@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated ufsutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Nov 2011 18:18:04 +0100
Source: ufsutils
Binary: ufsutils ufsutils-udeb
Architecture: source kfreebsd-amd64
Version: 8.2-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 ufsutils   - UFS filesystems utilities
 ufsutils-udeb - stripped-down versions of ufsutils, for debian-installer (udeb)
Closes: 635272 646518
Changes: 
 ufsutils (8.2-3) unstable; urgency=low
 .
   * Add myself to Uploaders.
   * Remove remnants of ZFS when creating a new file system.  (Closes: #635272)
     - 04_portable_berase.patch: Fix berase().
     - 05_wipe_otherfs.patch: Wipe out other filesystems by erasing first and
       last 512 kiB of disk (this works for at least ZFS, in addition to UFS1
       which was already taken care of).
   * 00_portable_ufs_types.patch: Fix broken type for non-kFreeBSD
     platforms.  Thanks Vladimir Serbinenko.  (Closes: #646518)
Checksums-Sha1: 
 051d7e944a38c901e37b3a891b5624a83a54de02 1418 ufsutils_8.2-3.dsc
 82aec62e649e458e72a59edf564db71c9e604adf 23469 ufsutils_8.2-3.debian.tar.gz
 5590c5b5b8b54bd5fa5480d6ea8e0a45e58d1751 176776 ufsutils_8.2-3_kfreebsd-amd64.deb
 83c0144fe8f847a75241f1f1c1d663851b7cc2eb 91336 ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
Checksums-Sha256: 
 0e06752a923df7e43b5657a03bb92550fa05be1d62b192ca500e9c5a2e98db29 1418 ufsutils_8.2-3.dsc
 6040ad18ddbf9fa37b87b084fe6cf19c50f63456d15b6726067c558f8383b795 23469 ufsutils_8.2-3.debian.tar.gz
 58cb77ea05edc0b5e2cad825240cb41b173f061e8d83374dbe5368224c2257ab 176776 ufsutils_8.2-3_kfreebsd-amd64.deb
 a3f6026eb93171741576eb0a557ca0ff939b576040e8e2358f9f18d49bcd7b6e 91336 ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb
Files: 
 71f68ab7e6a48b5a0200c2282046186b 1418 utils optional ufsutils_8.2-3.dsc
 82077eb8980d3f9567910f61892c56f1 23469 utils optional ufsutils_8.2-3.debian.tar.gz
 b238e4fbf4fab86946b75cdce36b8593 176776 utils optional ufsutils_8.2-3_kfreebsd-amd64.deb
 fc21ce5bfcd13798a69ec6cdd5cd1db8 91336 debian-installer optional ufsutils-udeb_8.2-3_kfreebsd-amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk7SdzIACgkQC19io6rUCv+AcgCgirSp07cjTjvOJRpCvw3H747d
5xgAoIBvgxgyu1bJOcNS0vgWGi+tFkFG
=I10S
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Jan 2012 07:37:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:15:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.